﻿@model Web.Models.CourseModels.CourseAddModel;


<div class="bg-light text-center">
    @using (Html.BeginForm("AddCourse", "Course", FormMethod.Post, new { enctype = "multipart/form-data" }))
    {
        <h3>Add new course</h3>
        <div class="mb-3 mt-3">
            @Html.LabelFor(model => model.Name,null,new { htmlAttributes = new { @class = "form-label" } })
            @Html.EditorFor(model => model.Name,new { htmlAttributes = new { @class = "form-control" } })        
            @Html.ValidationMessageFor(model => model.Name)
        </div>
        <div class="mb-3">
            @Html.LabelFor(model => model.Description,null,new { htmlAttributes = new { @class = "form-label" }})
            @Html.EditorFor(model => model.Description,new { htmlAttributes = new { @class = "form-control" } })  
            @Html.ValidationMessageFor(model => model.Description)

        </div>
        <div class="mb-3">
            @Html.LabelFor(model => model.File,null,new { htmlAttributes = new { @class = "form-label" }})
            @Html.EditorFor(model => model.File,new { htmlAttributes = new { @class = "form-control" , @accept = ".jpg,.jpeg,.png"}})
            @Html.ValidationMessageFor(model => model.File)

        </div>
        <input type="submit" class="btn btn-primary" value="Send">
    }
</div>
@await Html.PartialAsync("_ValidationScriptsPartial")